<%@ Page Title="" Language="vb" AutoEventWireup="false"  CodeBehind="frm_Reportes.aspx.vb" Inherits="SGHweb.frm_Reportes" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

<%--PARA EL ALERTA--%>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
   <!-- noty -->
  <script type="text/javascript" src="../Scripts/noty/jquery.noty.js"></script>
  <!-- themes -->
  <script type="text/javascript" src="../Scripts/noty/themes/default.js"></script>
  <script type="text/javascript" src="../Scripts/noty/layouts/center.js"></script>
  <link rel="stylesheet" type="text/css" href="../Scripts/noty/buttons.css" />   


    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
    
        <script type="text/javascript">

            function GenerarAlerta(type, texto) {
                var n = noty({
                    text: texto,
                    type: type,
                    dismissQueue: true,
                    layout: 'center',
                    modal: true,
                    theme: 'defaultTheme',
                    maxVisible: 1,
                    buttons: [
                    { addClass: 'btn btn-primary', text: 'Ok', onClick: function ($noty) {
                        $noty.close();
                        location.href = "default.aspx"
                    }
                    },
                  ]
                });
                console.log(type + ' - ' + n.options.id);
                return n;
            }

            function abrir_reporte() {

                var combo_reportes = $find('<%= Cbo_reportes.ClientID %>');
                var combo_usuarios = $find('<%= Cbo_usuarios.ClientID %>');
                var txt_empresas = $find('<%= txt_empresas.ClientID %>');
                var txt_empresaid = $find('<%= txt_empresaid.ClientID %>');
                var combo_monedas = $find('<%= cbo_moneda.ClientID %>');
                var combo_tipopago = $find('<%= cbo_tipo_pago.ClientID %>');
                var combo_tarjeta = $find('<%= cbo_tarjeta.ClientID %>');
                var combo_establecimientos = $find('<%= cbo_establecimientos.ClientID %>');
                var combo_categorias = $find('<%= cbo_categorias.ClientID %>');
                var combo_actividad = $find('<%= cbo_actividad.ClientID %>');
                var text_reserva = $find('<%= txt_nroreservas.ClientID %>');
                var datepicker_desde = $find('<% =dtp_desde.ClientID %>');
                var datepicker_hasta = $find('<% =dtp_hasta.ClientID %>');


                if (text_reserva.get_value() == "") {
                    text_reserva.set_value('0');
                    //alert('reserva');
                }
                if (txt_empresaid.get_value() == "") {
                    txt_empresaid.set_value('0');
                    //alert('reserva');
                }


                if (combo_reportes.get_selectedItem().get_value() == 2) {
                    ruta_reporte = "frm_ReporteConciliacion.aspx?fd=" + datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy") + "&fh=" + datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy") + "&uid=" + combo_usuarios.get_selectedItem().get_value() + "&pago=" + combo_tipopago.get_selectedItem().get_value() + "&tarjeta=" + combo_tarjeta.get_selectedItem().get_value(); //local
                    //ruta_reporte = "frm_ReporteConciliacion.aspx?fd=" + datepicker_desde.get_dateInput().get_selectedDate().format("MM/dd/yyyy") + "&fh=" + datepicker_hasta.get_dateInput().get_selectedDate().format("MM/dd/yyyy") + "&uid=" + combo_usuarios.get_selectedItem().get_value()+ "&pago=" + combo_tipopago.get_selectedItem().get_value() + "&tarjeta=" + combo_tarjeta.get_selectedItem().get_value(); //server
                } else if (combo_reportes.get_selectedItem().get_value() == 1) {
                    if (document.getElementById('<%= RadioButton1.ClientId %>').checked) {
                        ruta_reporte = "frm_Reporte_CuentasPorCobrar.aspx?desde=" + datepicker_desde.get_dateInput().get_selectedDate().format("ddMMyyyy") + "&hasta=" + datepicker_hasta.get_dateInput().get_selectedDate().format("ddMMyyyy") + "&empresa=" + txt_empresaid.get_value() + "&reserva=" + text_reserva.get_value() + "&moneda=" + combo_monedas.get_selectedItem().get_value() + "&establecimiento=" + combo_establecimientos.get_selectedItem().get_value() + "&pendiente=1&cancelado=9&categoria=" + combo_categorias.get_selectedItem().get_value() + "&actividad=" + combo_actividad.get_selectedItem().get_value() + "";
                    } else {
                        var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                        var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                        var empresa = txt_empresas.get_value();
                        var empresaid = txt_empresaid.get_value();
                        var reserva = text_reserva.get_value();
                        var moneda = combo_monedas.get_selectedItem().get_value();
                        var establecimiento = combo_establecimientos.get_selectedItem().get_value();
                        var categoria = combo_categorias.get_selectedItem().get_value();
                        var actividad = combo_actividad.get_selectedItem().get_value();
                        if (reserva == 0) {
                            reserva = "%";
                        }
                        if (moneda == 0) {
                            moneda = "%";
                        }
                        if (establecimiento == 0) {
                            establecimiento = "%";
                        }
                        if (categoria == 0) {
                            categoria = "%";
                        }
                        if (actividad == 0) {
                            actividad = "%";
                        }
                        ruta_reporte = "frm_Reporte_CuentasPorCobrarResumido.aspx?desde=" + desde + "&hasta=" + hasta + "&empresa=" + empresaid + "&reserva=" + reserva + "&moneda=" + moneda + "&establecimiento=" + establecimiento + "&pendiente=1&cancelado=9&categoria=" + categoria + "&actividad=" + actividad + "";
                    }
                } else if (combo_reportes.get_selectedItem().get_value() == 3) {
                    ruta_reporte = "frm_Reporte_RommingList.aspx";
                } else if (combo_reportes.get_selectedItem().get_value() == 4) {
                    
                    var empresaid = txt_empresaid.get_value();
                    //alert(txt_empresas.get_enabled());
                    if (txt_empresas.get_enabled() == true) {
                        empresaid = "-1";
                    }
                    var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    ruta_reporte = "frm_Reporte_AndeanPuntos.aspx?desde=" + desde + "&hasta=" + hasta + "&empresa=" + empresaid + "";
                } else if (combo_reportes.get_selectedItem().get_value() == 5) {
                    //var datepicker_desde = $find('<% =dtp_desde.ClientID %>');
                    //var datepicker_hasta = $find('<% =dtp_hasta.ClientID %>');
                    var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var moneda = combo_monedas.get_selectedItem().get_value();
                    var txt_empresaid = $find('<%= txt_empresaid.ClientID %>');
                    var empresaid = txt_empresaid.get_value();

                    if (document.getElementById('<%= check_checkin.ClientId %>').checked) {
                        var checkin = 2;
                    } else {
                        var checkin = 9;
                    }
                    if (document.getElementById('<%= check_reserva.ClientId %>').checked) {
                        var reserva = 0;
                    } else {
                        var reserva = 9;
                    }
                    if (document.getElementById('<%= check_anulado.ClientId %>').checked) {
                        var anulado = 1;
                    } else {
                        var anulado = 9;
                    }
                    if (document.getElementById('<%= RadioButton3.ClientId %>').checked) {
                        ruta_reporte = "frm_ReporteReservas.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=tarifa&checkin=" + checkin + "&reserva=" + reserva + "&anulado=" + anulado + "&moneda=" + moneda + "&empresa=" + empresaid;
                    } else if (document.getElementById('<%= RadioButton4.ClientId %>').checked) {
                        ruta_reporte = "frm_ReporteReservas.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=segmento&checkin=" + checkin + "&reserva=" + reserva + "&anulado=" + anulado + "&moneda=" + moneda + "&empresa=" + empresaid;
                    } else {
                        ruta_reporte = "frm_ReporteReservas.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=diasemana&checkin=" + checkin + "&reserva=" + reserva + "&anulado=" + anulado + "&moneda=" + moneda + "&empresa=" + empresaid;
                    }

                } else if (combo_reportes.get_selectedItem().get_value() == 6) {
                    var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    ruta_reporte = "frm_ReporteComprasVentas.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=Compras";
                    window.open(ruta_reporte,"_self");
               } else if (combo_reportes.get_selectedItem().get_value() == 7) {
                        var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                        var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                        ruta_reporte = "frm_ReporteComprasVentas.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=Ventas";
                        window.open(ruta_reporte,"_self");
               } else if (combo_reportes.get_selectedItem().get_value() == 11) {
                var desde = datepicker_desde.get_dateInput().get_selectedDate().format("9ddMMyyyy");
                var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("9ddMMyyyy");
                    if (document.getElementById('<%= rd_tipo_pronostico_1.ClientId %>').checked) {
                        var tipo = '1';
                    } else if (document.getElementById('<%= rd_tipo_pronostico_2.ClientId %>').checked) {
                        var tipo = '3';
                    } else {
                        var tipo = '2';
                    }

                    if (document.getElementById('<%= rd_columnas_pronostico_1.ClientId %>').checked) {
                        var columnas = 0;
                    } else if (document.getElementById('<%= rd_columnas_pronostico_2.ClientId %>').checked) {
                        var columnas = 1;
                    } else {
                        var columnas = 2;
                    }
                ruta_reporte = "frm_ReportePronostico.aspx?desde=" + desde + "&hasta=" + hasta + "&tipo=" + tipo + "&columnas=" + columnas;
                } else if (combo_reportes.get_selectedItem().get_value() == 12) {
                    var desde = datepicker_desde.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var hasta = datepicker_hasta.get_dateInput().get_selectedDate().format("dd/MM/yyyy");
                    var moneda = combo_monedas.get_selectedItem().get_value();
                    var txt_empresaid = $find('<%= txt_empresaid.ClientID %>');
                    var empresaid = txt_empresaid.get_value();
                    if (document.getElementById('<%= rd_tipo_pronostico_comparativo_1.ClientId %>').checked) {
                        var fc = '1';
                    } else if (document.getElementById('<%= rd_tipo_pronostico_comparativo_2.ClientId %>').checked) {
                        var fc = '2';
                    } else {
                        var fc = '3';
                    }

                    if (document.getElementById('<%= rd_columnas_pronostico_comparativo_1.ClientId %>').checked) {
                        var fs = 1;
                    } else if (document.getElementById('<%= rd_columnas_pronostico_comparativo_2.ClientId %>').checked) {
                        var fs = 2;
                    } else if (document.getElementById('<%= rd_columnas_pronostico_comparativo_3.ClientId %>').checked) {
                        var fs = 3;
                    } else {
                        var fs = 4;
                    }
                    ruta_reporte = "frm_ReportePronosticoComparativo.aspx?desde=" + desde + "&hasta=" + hasta + "&moneda=" + moneda + "&empresa=" + empresaid + "&fc=" + fc + "&fs=" + fs;
                }
                //alert(combo_reportes.get_selectedItem().get_value());
                if (combo_reportes.get_selectedItem().get_value() != 6 && combo_reportes.get_selectedItem().get_value() != 7) {
                    var oWnd = $find("<%= RadWindow1.ClientID %>");
                    oWnd.setUrl(ruta_reporte);
                    oWnd.show();
                    return false;
                }
                
            }
            function pageLoad() {
                var combo_reportes = $find('<%= Cbo_reportes.ClientID %>');
                var combo_usuarios = $find('<%= Cbo_usuarios.ClientID %>');
                var txt_empresas = $find('<%= txt_empresas.ClientID %>');
                var combo_monedas = $find('<%= cbo_moneda.ClientID %>');
                var combo_tipopago = $find('<%= cbo_tipo_pago.ClientID %>');
                var combo_tarjeta = $find('<%= cbo_tarjeta.ClientID %>');
                var combo_establecimientos = $find('<%= cbo_establecimientos.ClientID %>');
                var combo_categorias = $find('<%= cbo_categorias.ClientID %>');
                var combo_actividad = $find('<%= cbo_actividad.ClientID %>');
                var text_reserva = $find('<%= txt_nroreservas.ClientID %>');
                var datepicker_desde = $find('<% =dtp_desde.ClientID %>');
                var datepicker_hasta = $find('<% =dtp_hasta.ClientID %>');
                var radgrid1 = $find('<% =radgrid1.ClientID %>');
                var radgrid2 = $find('<% =radgrid2.ClientID %>');
                var check_arribos = $find('<% =check_arribos.ClientID %>');
                var boton_verReporte = document.getElementById('<%= btn_ver_reporte.ClientId %>')
                
                txt_empresas.set_visible(false);
                combo_usuarios.set_visible(false);
                combo_monedas.set_visible(false);
                combo_tipopago.set_visible(false);
                combo_tarjeta.set_visible(false);
                combo_establecimientos.set_visible(false);
                combo_categorias.set_visible(false);
                combo_actividad.set_visible(false);
                text_reserva.set_visible(false);
                datepicker_desde.set_visible(false);
                datepicker_hasta.set_visible(false);
                document.getElementById('lbldesde').style.display = 'none';
                document.getElementById('lblhasta').style.display = 'none';
                document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                radgrid1.set_visible(false);
                radgrid2.set_visible(false);
                document.getElementById('filtro_columnas_comparativo').style.display = 'none';
                document.getElementById('filtros_rooming_list').style.display = 'none';
                document.getElementById('descargaReporte').style.display = 'none';
                document.getElementById('descargaReporte').style.display = 'none';
                document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                document.getElementById('filtros_reservas').style.display = 'none';
                document.getElementById('filtros_pronostico').style.display = 'none';
                document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                boton_verReporte.style.display = 'none';
                OnClientSelectedIndexChanged();
            }

            function OnClientSelectedIndexChanged() {

                var combo_reportes = $find('<%= Cbo_reportes.ClientID %>');
                var combo_usuarios = $find('<%= Cbo_usuarios.ClientID %>');
                var txt_empresas = $find('<%= txt_empresas.ClientID %>');
                var combo_monedas = $find('<%= cbo_moneda.ClientID %>');
                var combo_tipopago = $find('<%= cbo_tipo_pago.ClientID %>');
                var combo_tarjeta = $find('<%= cbo_tarjeta.ClientID %>');
                var combo_establecimientos = $find('<%= cbo_establecimientos.ClientID %>');
                var combo_categorias = $find('<%= cbo_categorias.ClientID %>');
                var combo_actividad = $find('<%= cbo_actividad.ClientID %>');
                var text_reserva = $find('<%= txt_nroreservas.ClientID %>');
                var datepicker_desde = $find('<% =dtp_desde.ClientID %>');
                var datepicker_hasta = $find('<% =dtp_hasta.ClientID %>');
                var radgrid1 = $find('<% =radgrid1.ClientID %>');
                var radgrid2 = $find('<% =radgrid2.ClientID %>');
                //var boton_verReporte = $find('<%= btn_ver_reporte.ClientID %>');
                var boton_verReporte = document.getElementById('<%= btn_ver_reporte.ClientId %>')
                //alert(boton_verReporte.v);
                if (combo_reportes.get_selectedItem().get_value() == 1) {
                    txt_empresas.set_visible(true);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(true);
                    todas = combo_monedas.findItemByText("Todas");
                    todas.show();
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(true);
                    combo_categorias.set_visible(true);
                    combo_actividad.set_visible(true);
                    text_reserva.set_visible(true);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    document.getElementById('filtro_columnas_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 2) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(true);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(true);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 3) {
                    //alert("WTF");
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(false);
                    datepicker_hasta.set_visible(false);
                    document.getElementById('lbldesde').style.display = 'none';
                    document.getElementById('lblhasta').style.display = 'none';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    if (document.getElementById('<%= check_arribos.ClientId %>').checked) {
                        radgrid1.set_visible(false);
                        radgrid2.set_visible(true);
                    } else {
                        radgrid1.set_visible(true);
                        radgrid2.set_visible(false);
                    }

                    document.getElementById('filtros_rooming_list').style.display = 'inline';
                    document.getElementById('descargaReporte').style.display = 'inline';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'inline';
                    //boton_verReporte.set_visible(false);
                    boton_verReporte.style.display = 'none';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
//                    ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());
                } else if (combo_reportes.get_selectedItem().get_value() == 4) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 5) {
                    txt_empresas.set_visible(true);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(true);
                    todas = combo_monedas.findItemByText("Todas");
                    todas.show();
                    soles = combo_monedas.findItemByText("Soles");
                    soles.select();
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'inline';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'inline';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 6) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 7) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 11) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'inline';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else if (combo_reportes.get_selectedItem().get_value() == 12) {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(true);
                    datepicker_hasta.set_visible(true);
                    document.getElementById('lbldesde').style.display = 'inline';
                    document.getElementById('lblhasta').style.display = 'inline';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton4.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton5.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_tarifa.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_segmento.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_diasemana.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'inline';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());

                } else {
                    txt_empresas.set_visible(false);
                    combo_usuarios.set_visible(false);
                    combo_monedas.set_visible(false);
                    combo_tipopago.set_visible(false);
                    combo_tarjeta.set_visible(false);
                    combo_establecimientos.set_visible(false);
                    combo_categorias.set_visible(false);
                    combo_actividad.set_visible(false);
                    text_reserva.set_visible(false);
                    datepicker_desde.set_visible(false);
                    datepicker_hasta.set_visible(false);
                    document.getElementById('lbldesde').style.display = 'none';
                    document.getElementById('lblhasta').style.display = 'none';
                    document.getElementById('<%= RadioButton1.ClientId %>').style.display = 'none';
                    document.getElementById('<%= RadioButton2.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_detallado.ClientId %>').style.display = 'none';
                    document.getElementById('<%= lbl_resumido.ClientId %>').style.display = 'none';
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(false);
                    document.getElementById('filtros_rooming_list').style.display = 'none';
                    document.getElementById('descargaReporte').style.display = 'none';
                    document.getElementById('<%= lbl_roominglist.ClientId %>').style.display = 'none';
                    document.getElementById('btn_descargar_reporte_reservas').style.display = 'none';
                    //boton_verReporte.set_visible(true);
                    boton_verReporte.style.display = 'block';
                    document.getElementById('filtros_reservas').style.display = 'none';
                    document.getElementById('filtros_pronostico').style.display = 'none';
                    document.getElementById('filtros_pronostico_comparativo').style.display = 'none';
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    //ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());
                }

                //comprobar si ya cargo la pagina
                if (!window.jQuery) {
                    var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
                    ajaxManager.ajaxRequest("VerificarPermisos," + combo_reportes.get_selectedItem().get_value());
                }
            }
            function tarjetadecreditomostrar() {
                var combo_tipopago = $find('<%= cbo_tipo_pago.ClientID %>');
                var combo_tarjeta = $find('<%= cbo_tarjeta.ClientID %>');

                if (combo_tipopago.get_selectedItem().get_value() != 2) {
                    combo_tarjeta.set_visible(false);
                    combo_tarjeta.get_selectedItem().set_value("-1");
                } else {
                    combo_tarjeta.set_visible(true);
                }
            }
            function generate(texto) {
                var n = noty({
                    text: texto,
                    type: 'alert',
                    dismissQueue: true,
                    layout: 'center',
                    theme: 'defaultTheme'
                });
                console.log('html: ' + n.options.id);
                return n;
            }
             
            function descargaReporte_onclick() {
                //alert(777);
                var txt_empresaid = $find('<%= txt_empresaid.ClientID %>');
                var txt_empresas = $find('<%= txt_empresas.ClientID %>');
                var empresaid = txt_empresaid.get_value();
                //alert(txt_empresas.get_enabled());
                if (txt_empresas.get_enabled() == true) {
                    empresaid = "-1";
                }
                $('#iframereporte').hide();
                if (document.getElementById('<%= check_arribos.ClientId %>').checked) {
                    $('#iframereporte').attr("src", "frmReporte/Rprt_RoomingList_Arribos.aspx?empresa=" + empresaid);
                } else {
                    $('#iframereporte').attr("src", "frmReporte/Rprt_RoomingList.aspx?empresa=" + empresaid);
                }

                var notificacion = generate('Descargando Reporte <br><img src="../Scripts/noty/ajax-loader.gif" />');
            }

            function abrir_ventana_empresas() {
                var oWnd = $find("<%= RadWindow2.ClientID %>");
                var ruta_ventana_empresas = "frm_buscarEmpresas.aspx";
                oWnd.setUrl(ruta_ventana_empresas);
                oWnd.show();
                return false;
            }
            function Ventana_buscarEmpresas_Cerrar(oWnd, args) {
                //get the transferred arguments
                var arg = args.get_argument();
                if (arg) {
                    var empresaid = arg.cell_empresaid;
                    var razonsocial = arg.cell_razonsocial;
                    var txt_empresas = $find('<%= txt_empresas.ClientID %>');
                    var txt_empresaid = $find('<%= txt_empresaid.ClientID %>');
                    txt_empresas.set_value(razonsocial);
                    txt_empresaid.set_value(empresaid);
                    //alert(empresaid+"-"+razonsocial);
                }
            }

            function filtro_roominglist() {
                var radgrid1 = $find('<% =radgrid1.ClientID %>');
                var radgrid2 = $find('<% =radgrid2.ClientID %>');

                if (document.getElementById('<%= check_arribos.ClientId %>').checked) {
                    radgrid1.set_visible(false);
                    radgrid2.set_visible(true);
                } else {
                    radgrid1.set_visible(true);
                    radgrid2.set_visible(false);
                }
            }

            function cerrar_filtro_columnas() {
                var radio_sin_columnas = document.getElementById('<%= rd_columnas_pronostico_1.ClientId %>');
                radio_sin_columnas.checked = true;
                document.getElementById('filtro_columnas').style.display = 'none';
            }

            function mostrar_filtro_columnas(tipo) {
                if (tipo == "mensual") {
                    document.getElementById('<%= rd_columnas_pronostico_2.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= rd_columnas_pronostico_3.ClientId %>').style.display = 'none';
                    document.getElementById('<%= label6.ClientId %>').style.display = 'none';
                    var radio_sin_columnas = document.getElementById('<%= rd_columnas_pronostico_1.ClientId %>');
                    radio_sin_columnas.checked = true;
                } else {
                    document.getElementById('<%= rd_columnas_pronostico_2.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= rd_columnas_pronostico_3.ClientId %>').style.display = 'inline';
                    document.getElementById('<%= label6.ClientId %>').style.display = 'inline';
                    var radio_sin_columnas = document.getElementById('<%= rd_columnas_pronostico_1.ClientId %>');
                    radio_sin_columnas.checked = true;
                }
                document.getElementById('filtro_columnas').style.display = 'inline';
            }
        </script>
    </telerik:RadCodeBlock>
    <style type="text/css">

        iframe {
                display: block;
                }
                .divFiltros
    {
	    border:1px solid #8db2e3;
	    padding:0.2em;
	    font-size:1em;
	    overflow:hidden;
	    width:100%;
	    text-align:center;
    }
      .styleMe{
        border:1px solid #25729a; 
        -webkit-border-radius: 3px; 
        -moz-border-radius: 3px;
        border-radius: 3px;
        font-size:12px;
        font-family:arial, helvetica, sans-serif; 
        padding: 10px 10px 10px 10px; 
        text-decoration:none; 
        display:inline-block;
        text-shadow: -1px -1px 0 rgba(0,0,0,0.3);
        font-weight:bold; 
        color: #FFFFFF;
        background-color: #3093c7; 
        background-image: linear-gradient(to bottom, #3093c7, #1c5a85);
    }  
        .style5
        {
            width: 278px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <center>
    
    <br />

    <td style="width:19%">
           <dt class="divFiltros">
                <table border="0px" style="width: 100%">
                    <tr>
                        <td style=" text-align:center; width:15%; vertical-align:middle">
                           <telerik:RadComboBox ID="cbo_reportes" Runat="server" Culture="es-ES" 
                                DataSourceID="SqlDataSource_Reportes" DataTextField="ReporteNombre" 
                                DataValueField="ReporteId" AllowCustomText="True" Width="250px"
                                AppendDataBoundItems="True" Skin="Windows7" label="Reporte:" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
                                <Items>
                                    <telerik:RadComboBoxItem runat="server" Selected="True" Text="-Seleccione-" 
                                    Value="-Seleccione-" />
                                </Items>
                            </telerik:RadComboBox> </td> </tr> </table>
                            </dt> </td>
            <br />

<td style="width:19%">
<dt class="divFiltros" id="borde2">
<table border="0px" style="width: 100%">
    <tr align="left">
        <td style=" text-align:left; padding-left:100px" class="style5">
                <label ID="lbldesde" for="dtp_desde" class="label_sin_rad">Desde:</label>
                <telerik:RadDatePicker ID="dtp_desde" Runat="server" ShowPopupOnFocus="True" 
                    Skin="Windows7" label="Desde:" >
                    <Calendar ID="Calendar1" runat="server" UseRowHeadersAsSelectors="False" UseColumnHeadersAsSelectors="False" 
                            ViewSelectorText="x" Skin="Windows7"></Calendar>
                    <DateInput ID="DateInput1" runat="server" DisplayDateFormat="dd/MM/yyyy" DateFormat="dd/MM/yyyy" EnableSingleInputRendering="True"></DateInput>
                    <DatePopupButton ImageUrl="" HoverImageUrl=""></DatePopupButton>       
                </telerik:RadDatePicker>
        </td>
        <td align="left">
        </td>
        <td align="left">
        <label ID="lblhasta" for="dtp_hasta" class="label_sin_rad">Hasta:</label> 
                <telerik:RadDatePicker ID="dtp_hasta" Runat="server" ShowPopupOnFocus="True" 
                    Skin="Windows7" label="Hasta:" style="margin-left: 8px;margin-bottom:5px;">
                    <Calendar UseRowHeadersAsSelectors="False" UseColumnHeadersAsSelectors="False" 
                                ViewSelectorText="x" Skin="Windows7"></Calendar>
                    <DateInput DisplayDateFormat="dd/MM/yyyy" DateFormat="dd/MM/yyyy" EnableSingleInputRendering="True" LabelWidth="64px"></DateInput>
                    <DatePopupButton ImageUrl="" HoverImageUrl=""></DatePopupButton>
                </telerik:RadDatePicker>
        </td>
    </tr>
    <tr align="left">
        <td style="text-align:left; padding-left:100px " class="style5">
                <telerik:RadTextBox ID="txt_empresas" Label="Empresas:" runat="server" onClick="abrir_ventana_empresas();"
                    Skin="Windows7" Width="200px">
                </telerik:RadTextBox>
                <telerik:RadTextBox ID="txt_empresaid" runat="server" style="display:none;">
                </telerik:RadTextBox>
                
                <telerik:RadComboBox ID="cbo_tipo_pago" runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_Tipo_Pago" DataTextField="Nombre" 
                    DataValueField="PagoId" Label="Tipo de Pago:" AllowCustomText="True" 
                    AppendDataBoundItems="True" Skin="Windows7" OnClientSelectedIndexChanged="tarjetadecreditomostrar" style="margin-bottom:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todos" Value="-1" />
                    </Items>
                </telerik:RadComboBox>  
         </td> 
         <td align="left">
                <telerik:RadComboBox ID="cbo_establecimientos" runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_Establecimientos"  Width="160px"
                    DataTextField="NombreEstablecimiento" DataValueField="EstablecimientoId" 
                    Skin="Windows7" AllowCustomText="True" AppendDataBoundItems="True" 
                    Label="Establecimientos:" style="margin-left:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todos" 
                            Value="0" />
                    </Items>
                </telerik:RadComboBox>
         </td>
         <td align="left">
                <telerik:RadComboBox ID="cbo_moneda" runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_Moneda" 
                    DataTextField="Nombre" DataValueField="monedaid" 
                    Skin="Windows7" AllowCustomText="True" AppendDataBoundItems="True"
                    Label="Moneda:" style="margin-bottom:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todas" 
                            Value="0" />
                    </Items>
                </telerik:RadComboBox>
         </td>
        </tr>
    <tr align="left"; width="35%">
            <td style="text-align:left; padding-left:100px " class="style5">
            <telerik:RadTextBox ID="txt_nroreservas" runat="server" Label="Reserva:" 
                    Skin="Windows7" style="margin-bottom:5px;" Width="200px">
                </telerik:RadTextBox>
            </td>
            <td align="left">
                <telerik:RadComboBox ID="cbo_categorias" runat="server" Label="Categorias:" 
                    Culture="es-ES" DataSourceID="SqlDataSource_Categorias" 
                    DataTextField="nombrecategoria" DataValueField="categoriaId" Width="100%" 
                    Skin="Windows7" AllowCustomText="True" AppendDataBoundItems="True" style="margin-bottom:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todas" 
                            Value="0" />
                    </Items>
                </telerik:RadComboBox>
                
                <telerik:RadComboBox ID="cbo_tarjeta" runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_Tarjeta" DataTextField="NombreTarjetaCredito" 
                    DataValueField="TarjetaCreditoId" Label="Tipo de Tarjeta:"  Width="100%"
                    AllowCustomText="True" AppendDataBoundItems="True" Skin="Windows7" style="margin-bottom:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todas" Value="-1" />
                    </Items>
                </telerik:RadComboBox>

                <telerik:RadComboBox ID="cbo_usuarios" Runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_Usuarios" DataTextField="NombreUsuario" Width="100%"
                    DataValueField="UsuarioID" Label="Usuario:" AllowCustomText="True" 
                    AppendDataBoundItems="True" Skin="Windows7" style="margin-bottom:5px;" 
                    Height="16px">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todos" Value="-1" />
                    </Items>
                </telerik:RadComboBox>
              </td>
              <td align="left">
                <telerik:RadComboBox ID="cbo_actividad" runat="server" Label="Actividad:" 
                    Culture="es-ES" DataSourceID="SqlDataSource_Actividad" 
                    DataTextField="nombreactividad" DataValueField="actividadId" 
                    Skin="Windows7" AllowCustomText="True" AppendDataBoundItems="True" style="margin-bottom:5px;">
                    <Items>
                        <telerik:RadComboBoxItem runat="server" Selected="True" Text="Todas" 
                            Value="0" />
                    </Items>
                </telerik:RadComboBox>
            </td>
        </tr>
</table>
</dt>
</td>
<br />

<td style="width:19%">
<dt class="divFiltros" id="borde3">
<table border="0px" style="width: 100%" id="tabla2">
<tr>
<td style=" text-align:center; width:15%; vertical-align:middle">
        <asp:RadioButton ID="RadioButton1" runat="server" Checked="True" 
             GroupName="TipoReporteCuentasPorCobrar" />
        <asp:Label ID="lbl_detallado" runat="server" Text="Detallado" 
            AssociatedControlID="RadioButton1"></asp:Label>
        <asp:RadioButton ID="RadioButton2" runat="server" 
            GroupName="TipoReporteCuentasPorCobrar" />
        <asp:Label ID="lbl_resumido" runat="server" Text="Resumido" 
            AssociatedControlID="RadioButton2"></asp:Label>
        <div id="filtros_reservas">
        <asp:CheckBox ID="check_checkin" runat="server" Text="Check In" Checked="true" />
        <asp:CheckBox ID="check_reserva" runat="server" Text="Reserva" Checked="true" />
        <asp:CheckBox ID="check_anulado" runat="server" Text="Anulado" />
        <br />
        </div>
        <asp:RadioButton ID="RadioButton3" runat="server" Checked="True" 
            GroupName="TipoReporteReservasDetallado" />
        <asp:Label ID="lbl_tarifa" runat="server" Text="Tarifa" 
            AssociatedControlID="RadioButton3"></asp:Label>
        <asp:RadioButton ID="RadioButton4" runat="server"
            GroupName="TipoReporteReservasDetallado" />
        <asp:Label ID="lbl_segmento" runat="server" Text="Segmento" 
            AssociatedControlID="RadioButton4"></asp:Label>
        <asp:RadioButton ID="RadioButton5" runat="server" 
            GroupName="TipoReporteReservasDetallado" />
        <asp:Label ID="lbl_diasemana" runat="server" Text="Dia Semana" 
            AssociatedControlID="RadioButton5"></asp:Label>
    <br />
    <div id="filtros_rooming_list">
        <asp:CheckBox ID="check_arribos" runat="server" Text="Arribos" onClick="filtro_roominglist();" />
    </div>
    <div id="filtros_pronostico">
        <asp:RadioButton ID="rd_tipo_pronostico_1" runat="server" 
                GroupName="TipoReportePronostico" Checked="True" onClick="cerrar_filtro_columnas();"/>
        <asp:Label ID="Label1" runat="server" Text="Detallado" 
                AssociatedControlID="rd_tipo_pronostico_1"></asp:Label>
        <asp:RadioButton ID="rd_tipo_pronostico_2" runat="server" 
                GroupName="TipoReportePronostico" onClick="mostrar_filtro_columnas('mensual');"/>
        <asp:Label ID="Label2" runat="server" Text="Mensual" 
                AssociatedControlID="rd_tipo_pronostico_2"></asp:Label>
        <asp:RadioButton ID="rd_tipo_pronostico_3" runat="server" 
                GroupName="TipoReportePronostico" onClick="mostrar_filtro_columnas('anual');"/>
        <asp:Label ID="Label3" runat="server" Text="Anual" 
                AssociatedControlID="rd_tipo_pronostico_3"></asp:Label>
        <br />
        <fieldset id="filtro_columnas" style="width:25%;display:none">
            <legend>Columnas</legend>
            <asp:RadioButton ID="rd_columnas_pronostico_1" runat="server" 
                GroupName="ColumnasReportePronostico" Checked="True" />
            <asp:Label ID="Label4" runat="server" Text="Sin Columnas" 
                AssociatedControlID="rd_columnas_pronostico_1"></asp:Label>
            <asp:RadioButton ID="rd_columnas_pronostico_2" runat="server" 
                GroupName="ColumnasReportePronostico" Checked="False" />
            <asp:Label ID="Label5" runat="server" Text="Dias de la semana" 
                AssociatedControlID="rd_columnas_pronostico_2"></asp:Label>
            <asp:RadioButton ID="rd_columnas_pronostico_3" runat="server" 
                GroupName="ColumnasReportePronostico" Checked="False" />
            <asp:Label ID="Label6" runat="server" Text="Meses" 
                AssociatedControlID="rd_columnas_pronostico_3"></asp:Label>
            <br />
        </fieldset>
        
    </div>
    <div id="filtros_pronostico_comparativo">
        <asp:RadioButton ID="rd_tipo_pronostico_comparativo_1" runat="server" 
                GroupName="TipoReportePronosticoComparativo" Checked="True" />
        <asp:Label ID="Label7" runat="server" Text="Tipo de habitacion" 
                AssociatedControlID="rd_tipo_pronostico_comparativo_1"></asp:Label>
        <asp:RadioButton ID="rd_tipo_pronostico_comparativo_2" runat="server" 
                GroupName="TipoReportePronosticoComparativo" />
        <asp:Label ID="Label8" runat="server" Text="Empresa" 
                AssociatedControlID="rd_tipo_pronostico_comparativo_2"></asp:Label>
        <asp:RadioButton ID="rd_tipo_pronostico_comparativo_3" runat="server" 
                GroupName="TipoReportePronosticoComparativo" />
        <asp:Label ID="Label9" runat="server" Text="Canal de Venta" 
                AssociatedControlID="rd_tipo_pronostico_comparativo_3"></asp:Label>
    </div> <br />
</tr>
</table>
</dt>
</td>
 <br />
  <dt class="divFiltros" id='borde1'>
    <table border="0px" style="width: 100%">
    <tr>
    <td style=" text-align:center; width:15%; vertical-align:middle">
    <div align="center">
        <fieldset id="filtro_columnas_comparativo" style="width:30%;" >
            <legend>Columnas</legend>
            <asp:RadioButton ID="rd_columnas_pronostico_comparativo_1" runat="server" 
                GroupName="ColumnasReportePronosticoComparativo" Checked="True" />
            <asp:Label ID="Label10" runat="server" Text="Semana" 
                AssociatedControlID="rd_columnas_pronostico_comparativo_1"></asp:Label>
            <asp:RadioButton ID="rd_columnas_pronostico_comparativo_2" runat="server" 
                GroupName="ColumnasReportePronosticoComparativo" Checked="False" />
            <asp:Label ID="Label11" runat="server" Text="Mensual" 
                AssociatedControlID="rd_columnas_pronostico_comparativo_2"></asp:Label>
            <asp:RadioButton ID="rd_columnas_pronostico_comparativo_3" runat="server" 
                GroupName="ColumnasReportePronosticoComparativo" Checked="False" Visible="false" />
            <asp:Label ID="Label12" runat="server" Text="Segmento" 
                AssociatedControlID="rd_columnas_pronostico_comparativo_3" Visible="False"></asp:Label>
            <asp:RadioButton ID="rd_columnas_pronostico_comparativo_4" runat="server" 
                GroupName="ColumnasReportePronosticoComparativo" Checked="False" Visible="false" />
            <asp:Label ID="Label13" runat="server" Text="Tipo de Habitacion" 
                AssociatedControlID="rd_columnas_pronostico_comparativo_4" Visible="False"></asp:Label>
            <br />
            </fieldset>
    </div> </td> </tr> </table> </dt>
    
<table border="0px" style="width: 100%">
<tr>
<td align="center">
    <asp:Button ID="btn_ver_reporte" runat="server" class="styleMe" 
    Text="Ver Reporte"/>    

    <%--<telerik:RadButton ID="btn_ver_reporte" cl runat="server" Text="Ver Reporte" 
    Width="30%" Height="35px">
    </telerik:RadButton>--%>


</td>
</tr>
</table>

    <div style="background-image: url(images/ImagenSuperior.JPG); width: 100%; height: 55px">
        <br /><br />
        &nbsp; &nbsp; &nbsp; &nbsp;
        <asp:Label ID="lbl_roominglist" runat="server" Font-Bold="True" Font-Names="Times New Roman"
            Font-Size="16pt" Text=" ROOMING LIST ">
        </asp:Label>&nbsp;
        <%--<asp:Label ID="Label4" runat="server" Font-Bold="False" Font-Names="Arial" Font-Size="10pt"
            Text="Asigne las Horas de Entrada y Salidas a los Trabajdores Respectivamente."
            Width="450px">
        </asp:Label>--%>
     </div>
     <br />

   <center style="font-style: italic">
    <table width="95%" border="0px">
        <tr>
            <td>
                
                <telerik:RadGrid ID="RadGrid1" runat="server" AutoGenerateColumns="False" 
                    CellSpacing="0" Culture="es-ES" DataSourceID="SDS_rommingList" GridLines="None" 
                    Skin="Windows7" Width="100%" AllowFilteringByColumn="True">
                    <ClientSettings>
                        <Selecting AllowRowSelect="True"  UseClientSelectColumnOnly="True" ></Selecting>
                        <%--<ClientEvents OnRowSelected="OnRowSelected" />
                        <ClientEvents OnRowDataBound="RowDataBound" />--%>
                    </ClientSettings>
                    <MasterTableView DataKeyNames="PasajeroReservaID, PasajeroReservaObservacionID" Name="RoomingList"
                        DataSourceID="SDS_rommingList" NoMasterRecordsText="No existen registros.">
                    <%--<DetailTables>
                        <telerik:GridTableView runat="server" DataSourceID="SDS_RomminChild" 
                                            NoMasterRecordsText="No existen observaciones" Name="ChildRooming"
                                            Culture="es-ES" DataKeyNames="PasajeroReservaObservacionID" 
                                            CommandItemSettings-AddNewRecordText="Agregar Nueva Observacion" 
                                            AutoGenerateColumns="False" CommandItemDisplay="Top" 
                            Enabled="False">
                            <ParentTableRelation>
                                <telerik:GridRelationFields DetailKeyField="PasajeroReservaObservacionID" MasterKeyField="PasajeroReservaID" />
                            </ParentTableRelation>
                            <CommandItemSettings ExportToPdfText="Export to PDF" 
                                                RefreshText="" ShowRefreshButton="False"></CommandItemSettings>
                            <RowIndicatorColumn Visible="True" FilterControlAltText="Filter RowIndicator column"></RowIndicatorColumn>
                            <ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column"></ExpandCollapseColumn>
                                <Columns>
                                    <telerik:GridBoundColumn DataField="PasajeroReservaObservacionID" 
                                        FilterControlAltText="Filter PasajeroReservaObservacionID column" 
                                        HeaderText="PasajeroReservaObservacionID" ReadOnly="True" 
                                        SortExpression="PasajeroReservaObservacionID" 
                                        UniqueName="PasajeroReservaObservacionID" Visible="false">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="PasajeroReservaID" DataType="System.Int32" 
                                        FilterControlAltText="Filter PasajeroReservaID column" 
                                        HeaderText="PasajeroReservaID" SortExpression="PasajeroReservaID" 
                                        UniqueName="PasajeroReservaID" Visible="false">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="ObservacionHoy" 
                                        FilterControlAltText="Filter ObservacionHoy column" HeaderText="ObservacionHoy" 
                                        SortExpression="ObservacionHoy" UniqueName="ObservacionHoy">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="ObservacionSiguiente" 
                                        FilterControlAltText="Filter ObservacionSiguiente column" 
                                        HeaderText="ObservacionSiguiente" SortExpression="ObservacionSiguiente" 
                                        UniqueName="ObservacionSiguiente">
                                    </telerik:GridBoundColumn>
                                </Columns>
                                    <EditFormSettings EditFormType="WebUserControl" UserControlName="frm_rommingListWUC.ascx">
                                    <EditColumn FilterControlAltText="Filter EditCommandColumn column"></EditColumn>
                                    </EditFormSettings>
                                    <CommandItemStyle BorderStyle="None" />
                        </telerik:GridTableView>
                    </DetailTables>--%>
                    <CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>

                    <RowIndicatorColumn FilterControlAltText="Filter RowIndicator column"></RowIndicatorColumn>

                    <ExpandCollapseColumn Visible="True" 
                            FilterControlAltText="Filter ExpandColumn column" Created="True"></ExpandCollapseColumn>
                        <Columns>
                            <telerik:GridEditCommandColumn ButtonType="LinkButton" CancelText="Cancelar" EditText="Observaciones"
                                FilterImageToolTip="Observaciones" HeaderText="Observaciones">
                                <HeaderStyle HorizontalAlign="Center" Width="3%" />
                                <ItemStyle HorizontalAlign="Center" />
                            </telerik:GridEditCommandColumn>
                            <telerik:GridBoundColumn DataField="NroHabitacion" 
                                FilterControlAltText="Filter NroHabitacion column" HeaderText="Habitacion" 
                                ReadOnly="True" SortExpression="NroHabitacion" UniqueName="NroHabitacion" 
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="reservaid" DataType="System.Int32" 
                                FilterControlAltText="Filter reservaid column" HeaderText="reservaid" 
                                SortExpression="reservaid" UniqueName="reservaid" Visible="false"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="apellidos" 
                                FilterControlAltText="Filter apellidos column" HeaderText="Apellidos" 
                                ReadOnly="True" SortExpression="apellidos" UniqueName="apellidos"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="nombres" 
                                FilterControlAltText="Filter nombres column" HeaderText="Nombres" 
                                SortExpression="nombres" UniqueName="nombres"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="razonsocial" 
                                FilterControlAltText="Filter razonsocial column" HeaderText="Razon Social" 
                                ReadOnly="True" SortExpression="razonsocial" UniqueName="razonsocial"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="fechallegada" DataType="System.DateTime" 
                                FilterControlAltText="Filter fechallegada column" HeaderText="Llegada" 
                                SortExpression="fechallegada" UniqueName="fechallegada"
                                 DataFormatString="{0:d}" 
                                 AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="fechasalida" DataType="System.DateTime" 
                                FilterControlAltText="Filter fechasalida column" HeaderText="Salida" 
                                SortExpression="fechasalida" UniqueName="fechasalida"
                                 DataFormatString="{0:d}" 
                                 AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NombreSegmento" 
                                FilterControlAltText="Filter NombreSegmento column" HeaderText="Segmento" 
                                ReadOnly="True" SortExpression="NombreSegmento" UniqueName="NombreSegmento"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NOMBRECANAL" 
                                FilterControlAltText="Filter NOMBRECANAL column" HeaderText="Canal" 
                                ReadOnly="True" SortExpression="NOMBRECANAL" UniqueName="NOMBRECANAL"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Nacionalidad" 
                                FilterControlAltText="Filter Nacionalidad column" HeaderText="Nacionalidad" 
                                ReadOnly="True" SortExpression="Nacionalidad" UniqueName="Nacionalidad"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="EstadoPas" 
                                FilterControlAltText="Filter EstadoPas column" HeaderText="Estado" 
                                ReadOnly="True" SortExpression="EstadoPas" UniqueName="EstadoPas"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NombreIncluido" 
                                FilterControlAltText="Filter NombreIncluido column" HeaderText="Incluido" 
                                SortExpression="NombreIncluido" UniqueName="NombreIncluido"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="anombre" 
                                FilterControlAltText="Filter anombre column" HeaderText="Anombre" 
                                SortExpression="anombre" UniqueName="anombre"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="PasajeroReservaID" DataType="System.Int32" 
                                FilterControlAltText="Filter PasajeroReservaID column" 
                                HeaderText="PasajeroReservaID" ReadOnly="True" Visible="false"
                                SortExpression="PasajeroReservaID" UniqueName="PasajeroReservaID"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="PasajeroReservaObservacionID" 
                                FilterControlAltText="Filter PasajeroReservaObservacionID column" 
                                HeaderText="PasajeroReservaObservacionID" Visible="false"
                                SortExpression="PasajeroReservaObservacionID" 
                                UniqueName="PasajeroReservaObservacionID"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ObservacionHoy" 
                                FilterControlAltText="Filter ObservacionHoy column" HeaderText="ObservacionHoy" 
                                SortExpression="ObservacionHoy" UniqueName="ObservacionHoy"
                                Visible="false"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ObservacionSiguiente" 
                                FilterControlAltText="Filter ObservacionSiguiente column" 
                                HeaderText="ObservacionSiguiente" SortExpression="ObservacionSiguiente" 
                                UniqueName="ObservacionSiguiente" Visible="false"
                                AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                        </Columns>
                        <EditFormSettings EditFormType="WebUserControl" UserControlName="frm_rommingListWUC.ascx">
                            <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                            </EditColumn>
                        </EditFormSettings>

<PagerStyle PageSizeControlType="RadComboBox"></PagerStyle>
                    </MasterTableView>

<PagerStyle PageSizeControlType="RadComboBox"></PagerStyle>

                    <FilterMenu EnableImageSprites="False">
                    </FilterMenu>
                </telerik:RadGrid>
                <telerik:RadGrid ID="RadGrid2" runat="server" Culture="es-ES" 
                    DataSourceID="SqlDataSource_rooming_list_arribos" 
                    Skin="Windows7" AllowFilteringByColumn="True" AutoGenerateColumns="False">
                    <MasterTableView  
                        DataSourceID="SqlDataSource_rooming_list_arribos">
                        <CommandItemSettings ExportToPdfText="Export to PDF" />
                        <RowIndicatorColumn FilterControlAltText="Filter RowIndicator column">
                            <HeaderStyle Width="20px" />
                        </RowIndicatorColumn>
                        
<ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column" Created="True"></ExpandCollapseColumn>
                        
                        <Columns>
                            <telerik:GridBoundColumn DataField="NroHabitacion" FilterControlAltText="Filter NroHabitacion column" HeaderText="N° Habitacion" ReadOnly="True" SortExpression="NroHabitacion" UniqueName="NroHabitacion" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                                <HeaderStyle Width="30px" />
                                <ItemStyle Width="30px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ReservaId" DataType="System.Int32" FilterControlAltText="Filter ReservaId column" HeaderText="Reserva" ReadOnly="True" SortExpression="ReservaId" UniqueName="ReservaId" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                                <HeaderStyle Width="40px" />
                                <ItemStyle Width="40px" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="apellidos" FilterControlAltText="Filter apellidos column" HeaderText="Apellidos" ReadOnly="True" SortExpression="apellidos" UniqueName="apellidos" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Nombres" FilterControlAltText="Filter Nombres column" HeaderText="Nombres" ReadOnly="True" SortExpression="Nombres" UniqueName="Nombres" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Razonsocial" FilterControlAltText="Filter Razonsocial column" HeaderText="Razonsocial" ReadOnly="True" SortExpression="Razonsocial" UniqueName="Razonsocial" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Llegada" DataFormatString="{0:d}" DataType="System.DateTime" FilterControlAltText="Filter Llegada column" HeaderText="Llegada" ReadOnly="True" SortExpression="Llegada" UniqueName="Llegada" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Salida" DataFormatString="{0:d}" DataType="System.DateTime" FilterControlAltText="Filter Salida column" HeaderText="Salida" ReadOnly="True" SortExpression="Salida" UniqueName="Salida" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NombreSegmento" FilterControlAltText="Filter NombreSegmento column" HeaderText="Segmento" ReadOnly="True" SortExpression="NombreSegmento" UniqueName="NombreSegmento" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Nacionalidad" FilterControlAltText="Filter Nacionalidad column" HeaderText="Nacionalidad" ReadOnly="True" SortExpression="Nacionalidad" UniqueName="Nacionalidad" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="EstadoPas" FilterControlAltText="Filter EstadoPas column" HeaderText="Estado Pasajero" ReadOnly="True" SortExpression="EstadoPas" UniqueName="EstadoPas" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NombreIncluido" Display="False" FilterControlAltText="Filter NombreIncluido column" HeaderText="NombreIncluido" ReadOnly="True" SortExpression="NombreIncluido" UniqueName="NombreIncluido" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="anombre" FilterControlAltText="Filter anombre column" HeaderText="A nombre" ReadOnly="True" SortExpression="anombre" UniqueName="anombre" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Grupo" DataType="System.Byte" Display="False" FilterControlAltText="Filter Grupo column" HeaderText="Grupo" ReadOnly="True" SortExpression="Grupo" UniqueName="Grupo" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="CajaFuerte" Display="False" FilterControlAltText="Filter CajaFuerte column" HeaderText="CajaFuerte" ReadOnly="True" SortExpression="CajaFuerte" UniqueName="CajaFuerte" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NOMBRECANAL" FilterControlAltText="Filter NOMBRECANAL column" HeaderText="Canal" ReadOnly="True" SortExpression="NOMBRECANAL" UniqueName="NOMBRECANAL" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Cierre" Display="False" FilterControlAltText="Filter Cierre column" HeaderText="Cierre" ReadOnly="True" SortExpression="Cierre" UniqueName="Cierre" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NombreMoneda" Display="False" FilterControlAltText="Filter NombreMoneda column" HeaderText="M" ReadOnly="True" SortExpression="NombreMoneda" UniqueName="NombreMoneda" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="HoraRecepcion" DataType="System.DateTime" Display="False" FilterControlAltText="Filter HoraRecepcion column" HeaderText="HoraRecepcion" ReadOnly="True" SortExpression="HoraRecepcion" UniqueName="HoraRecepcion" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Subtotal" DataType="System.Decimal" Display="False" FilterControlAltText="Filter Subtotal column" HeaderText="Subtotal" ReadOnly="True" SortExpression="Subtotal" UniqueName="Subtotal" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Servicio" DataType="System.Decimal" Display="False" FilterControlAltText="Filter Servicio column" HeaderText="Servicio" ReadOnly="True" SortExpression="Servicio" UniqueName="Servicio" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="IGV" DataType="System.Decimal" Display="False" FilterControlAltText="Filter IGV column" HeaderText="IGV" ReadOnly="True" SortExpression="IGV" UniqueName="IGV" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Total" DataType="System.Decimal" Display="False" FilterControlAltText="Filter Total column" HeaderText="Total" ReadOnly="True" SortExpression="Total" UniqueName="Total" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Adulto" DataType="System.Int32" Display="False" FilterControlAltText="Filter Adulto column" HeaderText="Adulto" ReadOnly="True" SortExpression="Adulto" UniqueName="Adulto" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="NiNo" DataType="System.Int32" Display="False" FilterControlAltText="Filter NiNo column" HeaderText="NiNo" ReadOnly="True" SortExpression="NiNo" UniqueName="NiNo" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Chofer" DataType="System.Int32" Display="False" FilterControlAltText="Filter Chofer column" HeaderText="Chofer" ReadOnly="True" SortExpression="Chofer" UniqueName="Chofer" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Nana" DataType="System.Int32" Display="False" FilterControlAltText="Filter Nana column" HeaderText="Nana" ReadOnly="True" SortExpression="Nana" UniqueName="Nana" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="THab" DataType="System.Int32" Display="False" FilterControlAltText="Filter THab column" HeaderText="THab" ReadOnly="True" SortExpression="THab" UniqueName="THab" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Orden" DataType="System.Int32" Display="False" FilterControlAltText="Filter Orden column" HeaderText="Orden" ReadOnly="True" SortExpression="Orden" UniqueName="Orden" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Turista" DataType="System.Int32" Display="False" FilterControlAltText="Filter Turista column" HeaderText="Turista" ReadOnly="True" SortExpression="Turista" UniqueName="Turista" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="EmpresaID" DataType="System.Int32" Display="False" FilterControlAltText="Filter EmpresaID column" HeaderText="EmpresaID" ReadOnly="True" SortExpression="EmpresaID" UniqueName="EmpresaID" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="PasajeroID" DataType="System.Int32" Display="False" FilterControlAltText="Filter PasajeroID column" HeaderText="PasajeroID" ReadOnly="True" SortExpression="PasajeroID" UniqueName="PasajeroID" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="tHabS" DataType="System.Int32" Display="False" FilterControlAltText="Filter tHabS column" HeaderText="tHabS" ReadOnly="True" SortExpression="tHabS" UniqueName="tHabS" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="habitacionId" DataType="System.Int32" Display="False" FilterControlAltText="Filter habitacionId column" HeaderText="habitacionId" ReadOnly="True" SortExpression="habitacionId" UniqueName="habitacionId" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Observacion" Display="False" FilterControlAltText="Filter Observacion column" HeaderText="Observacion" ReadOnly="True" SortExpression="Observacion" UniqueName="Observacion" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ObservacionArribo" Display="False" FilterControlAltText="Filter ObservacionArribo column" HeaderText="ObservacionArribo" ReadOnly="True" SortExpression="ObservacionArribo" UniqueName="ObservacionArribo" AutoPostBackOnFilter="True" ShowFilterIcon="False" >
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ContactoID" DataType="System.Int32" Display="False" FilterControlAltText="Filter ContactoID column" HeaderText="ContactoID" ReadOnly="True" SortExpression="ContactoID" UniqueName="ContactoID" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Vip" DataType="System.Byte" Display="False" FilterControlAltText="Filter Vip column" HeaderText="Vip" ReadOnly="True" SortExpression="Vip" UniqueName="Vip" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="CantidadPasajeros" DataType="System.Int32" Display="False" FilterControlAltText="Filter CantidadPasajeros column" HeaderText="CantidadPasajeros" ReadOnly="True" SortExpression="CantidadPasajeros" UniqueName="CantidadPasajeros" AutoPostBackOnFilter="True" ShowFilterIcon="False">
                            </telerik:GridBoundColumn>
                        </Columns>
                        
                        <GroupByExpressions>
                            <telerik:GridGroupByExpression>
                                <SelectFields>
                                    <telerik:GridGroupByField FieldAlias="EstadoPas" FieldName="EstadoPas" 
                                        FormatString="" HeaderText="Estado" />
                                </SelectFields>
                                <GroupByFields>
                                    <telerik:GridGroupByField FieldAlias="EstadoPas" FieldName="EstadoPas" 
                                        FormatString="" HeaderText="" />
                                </GroupByFields>
                            </telerik:GridGroupByExpression>
                        </GroupByExpressions>
                        <EditFormSettings>
                            <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                            </EditColumn>
                        </EditFormSettings>
                        <PagerStyle PageSizeControlType="RadComboBox" />
                    </MasterTableView>

<PagerStyle PageSizeControlType="RadComboBox"></PagerStyle>

<FilterMenu EnableImageSprites="False"></FilterMenu>
                </telerik:RadGrid>
            </td>
        </tr>
        <tr>
            <td style=" text-align:left;">
                <br />
                <%--<asp:Button ID="verReporteB" runat="server" Text="Descargar Reporte" 
                    class="button small blue" Height="30px" />--%>
                <input id="descargaReporte" type="button" value="Descargar Reporte" class="button small blue" style="height: 30px; width: 200px" onclick="return descargaReporte_onclick()" />
                <iframe id="iframereporte" width="100px" height="100px" frameborder="0" name="iframereporte"></iframe>
            </td>
        </tr>
    </table>    
</center>

    
    </center>

    <asp:SqlDataSource ID="SqlDataSource_Tipo_Pago" runat="server" 
        SelectCommand="SELECT [PagoId], [Nombre] FROM [Pagos]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Tarjeta" runat="server" 
        SelectCommand="SELECT [TarjetaCreditoId], [NombreTarjetaCredito] FROM [TarjetaCreditos]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Empresas" runat="server" 
        SelectCommand="SELECT [empresaid], [razonsocial] FROM [empresas]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Reportes" runat="server">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Usuarios" runat="server" 
        SelectCommand="SELECT [UsuarioID], [NombreUsuario] FROM [Usuarios]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Moneda" runat="server" 
        SelectCommand="SELECT [monedaid], [Nombre] FROM [monedas]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Establecimientos" runat="server" 
        SelectCommand="SELECT [EstablecimientoId], [NombreEstablecimiento] FROM [Establecimientos]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Categorias" runat="server" 
        SelectCommand="SELECT [categoriaId], [nombrecategoria] FROM [categoria]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_Actividad" runat="server" 
        SelectCommand="SELECT [actividadId], [nombreactividad] FROM [actividad]">
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SDS_rommingList" runat="server" 
        SelectCommand="SWP_PasajerosActuales" SelectCommandType="StoredProcedure">
        <SelectParameters>
        <asp:ControlParameter ControlID="txt_empresaid" DefaultValue='-1' Name="EmpresaId" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="SqlDataSource_rooming_list_arribos" runat="server" 
        SelectCommand="SWP_PasajerosActualesIncluido" 
        SelectCommandType="StoredProcedure" ConnectionString="<%$ ConnectionStrings:SHIOL_datosDEMO_LOCAL %>">
        <SelectParameters>
            <asp:Parameter DefaultValue="1" Name="NoMostrarHabitacionesLibres" 
                Type="Int32" />
            <asp:Parameter DefaultValue="0" Name="ReservaIDFiltro" />
            <asp:Parameter DefaultValue="0" Name="StayOver" />
            <asp:Parameter DefaultValue="1" Name="IncluyeArribos" />
        </SelectParameters>
    </asp:SqlDataSource>

    <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" Runat="server" 
        Skin="Default">
    </telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" 
        DefaultLoadingPanelID="RadAjaxLoadingPanel1">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="cbo_reportes">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" 
                        LoadingPanelID="RadAjaxLoadingPanel1" UpdatePanelCssClass="" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2" 
                        LoadingPanelID="RadAjaxLoadingPanel1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadWindowManager ID="RadWindowManager1" runat="server" Skin="Windows7">
        <Windows>
            <telerik:RadWindow ID="RadWindow1" runat="server" AutoSize="True" 
                style="display:none;" VisibleStatusbar="False" 
                ShowContentDuringLoad="False">
            </telerik:RadWindow>
            <telerik:RadWindow ID="RadWindow2" runat="server" 
                style="display:none;" VisibleStatusbar="False" 
                ShowContentDuringLoad="False" Width="700px" OnClientClose="Ventana_buscarEmpresas_Cerrar">
            </telerik:RadWindow>
        </Windows>
    </telerik:RadWindowManager>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>
</form>
</body>

</html>